Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.io
Interface InputSupplier<T>

    public interface InputSupplier<T>

A factory for readable streams of bytes or characters.

Since:
  1.0
Author:
  Chris Nokleberg

Method Summary
`T` | `getInput()` Returns an object that encapsulates a readable resource.

Method Detail

### getInput

    T getInput()
               throws IOException

  Returns an object that encapsulates a readable resource.

  Like `Iterable.iterator()`, this method may be called repeatedly to get independent channels to the same underlying resource.

  Where the channel maintains a position within the resource, moving that cursor within one channel should not affect the starting position of channels returned by other calls.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012. All Rights Reserved.